io.vertx.mqtt.messages.codes

## Enum MqttSubAckReasonCode

- java.lang.Object
- - java.lang.Enum<MqttSubAckReasonCode>
  - - io.vertx.mqtt.messages.codes.MqttSubAckReasonCode

- All Implemented Interfaces:
    MqttReasonCode, Serializable, Comparable<MqttSubAckReasonCode>

      public enum MqttSubAckReasonCode
      extends Enum<MqttSubAckReasonCode>
      implements MqttReasonCode

  Reason codes for SUBACK MQTT message

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `GRANTED_QOS0`
    `GRANTED_QOS1`
    `GRANTED_QOS2`
    `IMPLEMENTATION_SPECIFIC_ERROR`
    `NOT_AUTHORIZED`
    `PACKET_IDENTIFIER_IN_USE`
    `QUOTA_EXCEEDED`
    `SHARED_SUBSCRIPTIONS_NOT_SUPPORTED`
    `SUBSCRIPTION_IDENTIFIERS_NOT_SUPPORTED`
    `TOPIC_FILTER_INVALID`
    `UNSPECIFIED_ERROR`
    `WILDCARD_SUBSCRIPTIONS_NOT_SUPPORTED`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `MqttSubAckReasonCode` | `limitForMqttVersion(io.netty.handler.codec.mqtt.MqttVersion version)`
    `static MqttSubAckReasonCode` | `qosGranted(io.netty.handler.codec.mqtt.MqttQoS qos)`
    `byte` | `value()`
    `static MqttSubAckReasonCode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static MqttSubAckReasonCode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface io.vertx.mqtt.messages.codes.MqttReasonCode

      `isError`

- - ### Enum Constant Detail

    - #### GRANTED_QOS0

          public static final MqttSubAckReasonCode GRANTED_QOS0

    - #### GRANTED_QOS1

          public static final MqttSubAckReasonCode GRANTED_QOS1

    - #### GRANTED_QOS2

          public static final MqttSubAckReasonCode GRANTED_QOS2

    - #### UNSPECIFIED_ERROR

          public static final MqttSubAckReasonCode UNSPECIFIED_ERROR

    - #### IMPLEMENTATION_SPECIFIC_ERROR

          public static final MqttSubAckReasonCode IMPLEMENTATION_SPECIFIC_ERROR

    - #### NOT_AUTHORIZED

          public static final MqttSubAckReasonCode NOT_AUTHORIZED

    - #### TOPIC_FILTER_INVALID

          public static final MqttSubAckReasonCode TOPIC_FILTER_INVALID

    - #### PACKET_IDENTIFIER_IN_USE

          public static final MqttSubAckReasonCode PACKET_IDENTIFIER_IN_USE

    - #### QUOTA_EXCEEDED

          public static final MqttSubAckReasonCode QUOTA_EXCEEDED

    - #### SHARED_SUBSCRIPTIONS_NOT_SUPPORTED

          public static final MqttSubAckReasonCode SHARED_SUBSCRIPTIONS_NOT_SUPPORTED

    - #### SUBSCRIPTION_IDENTIFIERS_NOT_SUPPORTED

          public static final MqttSubAckReasonCode SUBSCRIPTION_IDENTIFIERS_NOT_SUPPORTED

    - #### WILDCARD_SUBSCRIPTIONS_NOT_SUPPORTED

          public static final MqttSubAckReasonCode WILDCARD_SUBSCRIPTIONS_NOT_SUPPORTED

  - ### Method Detail

    - #### values

          public static MqttSubAckReasonCode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MqttSubAckReasonCode c : MqttSubAckReasonCode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MqttSubAckReasonCode valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### value

          public byte value()

      Specified by:
        `value` in interface `MqttReasonCode`

    - #### qosGranted

          public static MqttSubAckReasonCode qosGranted(io.netty.handler.codec.mqtt.MqttQoS qos)

    - #### limitForMqttVersion

          public MqttSubAckReasonCode limitForMqttVersion(io.netty.handler.codec.mqtt.MqttVersion version)

Copyright © 2021 Eclipse. All rights reserved.